Name:           python-jsl
Version:        0.2.4
Release:        1%{?dist}
Summary:        Python DSL for defining JSON Schemas

License:        BSD-3-Clause
URL:            https://github.com/aromanovich/jsl
Source0:        https://files.pythonhosted.org/packages/source/j/jsl/jsl-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel

%global _description %{expand:
JSL is a Python DSL for defining JSON Schemas.}

%description %_description

%package -n     python3-jsl
Summary:        %{summary}

%description -n python3-jsl %_description


%prep
%autosetup -p1 -n jsl-%{version}

%build
%py3_build


%install
%py3_install

%files -n python3-jsl
%license LICENSE
%doc README.rst
%{python3_sitelib}/jsl
%{python3_sitelib}/jsl*.egg-info

%changelog
